Subject: [PATCH] Add platform driver support to the CS890x driver

From: [email-masked] (Domenico Andreoli)
Date: Wed, 12 Oct 2011 16:28:36 +0200

On Sat, Oct 01, 2011 at 06:13:40PM +0100, Russell King - ARM Linux wrote:
> On Fri, Sep 30, 2011 at 11:01:10AM +0200, Jaccon Bastiaansen wrote:
> > Hello Domenico,
> > 
> > 2011/9/28 Domenico Andreoli <[email-masked]>:
> > > Hi Jaccon,
> > >
> > > On Mon, Sep 12, 2011 at 12:52:52PM +0200, Jaccon Bastiaansen wrote:
> > >>
> > >> Ok, so you would like to see the #ifdefs for the IXDP2351, IXDP2X01,
> > >> QQ2440 and MX31ADS in the cs890x driver replaced by platform_device
> > >> definitions in the platform specific code of those platforms (in the
> > >> same way as I have done for the i.MX21ADS platform)? Is this correct?
> > >
> > > Feel free to completely dump the QQ2440 thing, the QQ2440 board support
> > > is not in mainline and will not until it can be implemented mostly with
> > > DT, I guess. ?At that time I will be happy to use your platform device
> > > conversion - with the OF initialization that sombody will write ;)
> 
> I don't have Domenico's original mail...

yes, there was a problem on my side that I hope is now fixed.

> It's now up to the SoC maintainers whether they want to accept this stuff,
> and if so how to get it into mainline (probably via Arnd) - be that in
> their current form or if they think that a DT based implementation is
> better.
> 
> I'll be discarding the four 'new' platforms (of which QQ2440 is one) which
> have been sitting in the patch system since March in the next few days.

thank you.

Regards,
Domenico